Table index.
Sources for this description
Hirschmann MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.248.51.13.3.1.1
Table index.
Identification
{1 3 6 1 4 1 248 51 13 3 1 1}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In HmSecurityGateway-MIB, the row index hmSecBladeCtrlIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.248.51.13.3.1.1.<hmSecBladeCtrlIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
Published row index: hmSecBladeCtrlIndex.
A query example is omitted because the source variants do not establish compatible read access.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hmSecBladeCtrlIndex OBJECT-TYPE
SYNTAX INTEGER (1..100)
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"Table index."
::= { hmSecBladeCtrlEntry 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Table index.
Hirschmann MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hmSecBladeCtrlIndex
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hmSecBladeCtrlIndex",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"(",
"1",
".",
".",
"100",
")",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Table index.\"",
"::=",
"{",
"hmSecBladeCtrlEntry",
"1",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"integerSubType",
[
[
1,
100
]
]
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Table index."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. Hirschmann support.
Module: HmSecurityGateway-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'MacAddress'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.13.3.1.2 | hmSecBladeCtrlDevice | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.3 | hmSecBladeCtrlStatus | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.4 | hmSecBladeCtrlAVRRevision | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.5 | hmSecBladeCtrlSlotID | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.6 | hmSecBladeCtrlProductID | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.7 | hmSecBladeCtrlAssemblyID | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.8 | hmSecBladeCtrlSerial | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.9 | hmSecBladeCtrlFlashID | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.10 | hmSecBladeCtrlVersion | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.11 | hmSecBladeCtrlBackup | 0 | 0 | |
| 1.3.6.1.4.1.248.51.13.3.1.12 | hmSecBladeCtrlReconfig | 0 | 0 |